PDA

View Full Version : PolicyKit melding na inloggen in Leap 42.1



Andreverkentsuse
07-Nov-2015, 00:57
Leap 42.1
Ik krijg sinds vanmorgen, vermoedelijk na laatste update(s) melding na inloggen :

Update error , you have failed to enter right password, please check any passwords
Ik schrijf het met mijn eigen woorden, want de melding verdwijnt na enkele seconden en ik kan niet Ctrl-C doen.

In Systeeminstellingen - Meldingen staat :
Authenticatiedialoog van PolicyKit
Authenticatie - Authenticeren is verplicht
en onderaan aangevinkt :
Toon bericht in dialoogvenster.

Andreverkentsuse
07-Nov-2015, 01:51
Ik heb elders de correcte en volledige foutmelding gevonden :

Update error
Authorization Failed
You have failed to provide correct authentication
Please check any passwords of account settings.

hcvv
07-Nov-2015, 03:22
Na inloggen. Waarin?

Andreverkentsuse
07-Nov-2015, 05:43
Na inloggen. Waarin?

Na inloggen in Leap 42.1

Andreverkentsuse
07-Nov-2015, 06:01
Ik heb Leap 42.1 opnieuw geïnstalleerd.
De hierboven genoemde foutmelding blijft uit, zolang ik niet in Systeeminstellingen , Thema van werkruimte , Uiterlijk en gedrag ,
Breeze kies. Hij staat standaard op openSUSE.

hcvv
07-Nov-2015, 06:22
Na inloggen in Leap 42.1

Dat snap ik, maar je kunt inloggen in the CLI of in the GUI. En als je in de GUI inlogt kan dat nog resuleteren in KDE, Gnome, LXFE, .......

Andreverkentsuse
07-Nov-2015, 07:21
Ik log in in KDE en in GUI , daarom heb ik deze melding ook in de afdeling KDE geplaatst, zie bovenaan bij het grijze huisje, waar achter staat :
> Forum > Nederlands (Dutch) > Helpen en Hulp > Desktop > KDE enz.
Ben er inmiddels ook achter gekomen dat de bewuste foutmelding verschijnt, nadat je een bestand kiest uit Recente documenten, waarna Leap 42.1 hangt en je alleen nog maar Ctrl Alt Del kunt doen waarmee je je dan afmeldt.

Andreverkentsuse
07-Nov-2015, 07:42
Ik heb een melding gevonden in Yast , Journaal van systemd , waarvan ik denk dat dat er mee te maken heeft :


[system] Activating via systemd: service name='org.freedesktop.PackageKit' unit='packagekit.service'

daemon start

[system] Successfully activated service 'org.freedesktop.PackageKit'

uid 1000 is trying to obtain org.freedesktop.packagekit.system-sources-refresh auth (only_trusted:0)

uid 1000 failed to obtain auth

uid 1000 is trying to obtain org.freedesktop.packagekit.system-sources-refresh auth (only_trusted:0)

uid 1000 failed to obtain auth

hcvv
07-Nov-2015, 07:57
Eerst, inderdaad heb ik niet doorgehad dat KDE hier een sub-forum is. Ik werk voornamelijk in de Engelse forums, waar dat allemaal gewoon Applicaties zijn.

Ik begrijp het ook niet helemaal, maar PackageKit heeft waarschijnlijk met Apper te maken. Hoewel, Apper draait geloof ik niet op de KDE versie van Leap 42.1. Bovendien gebruik ik Apper en Packagekit nooit (niet geïnstalleerd), dus ik ben bang dat je an mij niet veel hebt.

Even wachten op andere Leap 42.1 gebruikers. (Ik ben zelf nog niet zover).

Andreverkentsuse
07-Nov-2015, 08:05
Ik heb pc herstart. Nu geen foutmelding en in Yast , Journaal van systemd staat :


uid 1000 obtained auth for org.freedesktop.packagekit.system-sources-refresh

in plaats van


uid 1000 failed to obtain auth

De overige regels zijn hetzelfde.

hcvv
07-Nov-2015, 08:49
Tja, kennelijk lukt nu iets wel, dat eerst niet lukte.

In deze situatie (zonder melding) zou je waarschijnlijk nooit in het systemd journal hebben gekeken. Niets mee doen lijkt mij. (maar niet vergeten, als er weer zoiets gebeurd is het leuk als je je dit gerinnert).

Knurpht
08-Nov-2015, 12:14
Leap 42.1
Ik krijg sinds vanmorgen, vermoedelijk na laatste update(s) melding na inloggen :

Update error , you have failed to enter right password, please check any passwords
Ik schrijf het met mijn eigen woorden, want de melding verdwijnt na enkele seconden en ik kan niet Ctrl-C doen.

In Systeeminstellingen - Meldingen staat :
Authenticatiedialoog van PolicyKit
Authenticatie - Authenticeren is verplicht
en onderaan aangevinkt :
Toon bericht in dialoogvenster.

Even naar gekeken, zag dit ook in Leap, maar alleen in een bestaand account, en als volgt af te dwingen: opstarten, inloggen, updater laten checken, alles OK, afmelden, weer inloggen, updater laten checken en dan komt de foutmelding. In een nieuw account kon ik 't niet forceren. 't Zou best 's kunnen dat ik er ook al ook al wat over in de mailing list zag, maar kon zo niks vinden.

Andreverkentsuse
08-Nov-2015, 22:28
Knurpht , Henk en anderen,
dank voor het meedenken.
Na Leap meerdere keren te hebben geherinstalleerd heb ik bovengenoemde foutmelding, evenals het hangen van Leap na gebruik van Recente documenten, het niet zichtbaar zijn van icoon Dropbox in de taakbalk onderaan, het niet kunnen aanmaken van een 2e account, niet kunnen oplossen. Ik ben inmiddels weer terug naar openSUSE 13.2. Misschien in 2016 weer eens proberen.

hcvv
09-Nov-2015, 02:02
Knurpht , Henk en anderen,
dank voor het meedenken.
Na Leap meerdere keren te hebben geherinstalleerd heb ik bovengenoemde foutmelding, evenals het hangen van Leap na gebruik van Recente documenten, het niet zichtbaar zijn van icoon Dropbox in de taakbalk onderaan, het niet kunnen aanmaken van een 2e account, niet kunnen oplossen. Ik ben inmiddels weer terug naar openSUSE 13.2. Misschien in 2016 weer eens proberen.
Hoewel een aantal van deze zaken mij zeer vreemd voorkomt en volgens mij op te lossen zijn (misverstanden en zo). ben ik het met je eens dat een aantal maanden wachten na de release datum niet onverstandig is. Het is bijna onmogelijk om alle hardware combinaties met alle gebruikers combinaties te testen. Hoewel er al veel dingen uitrollen die in de beta en rc fase gevonden worden is het logisch dat na de release datum ineens een nieuwe groep gebruikers bijkomt. En dan ontdekken die dus nieuwe problemen.

Ik wacht altijd enige tijd. Al was het maar om Packman e.d. ook de tijd te geven alles aan de nieuwe release aan te passen. Ik heb wel gedownload en op DVD gebrand. Ten slotte verandert de ISO niet meer. Ik heb ook op twee systemen een installatie gestart tot het laatste afbreekpunt, om te zien of ik de ISO ook echt kan gebruiken.

Nu ga ik eerst op vakantie. Ergens in december zal ik waarschijnlijk een installatie proberen op twee ongebruikte / en /home partities (dus multi-boot met het huidige 13.1 systeem).
Dan, maar dat hangt van de resultaten af, een installatie op dezelfde test root partitie, maar met mijn 13.1 /home gecopierëerd op de test /home. Dat is dus vooral testen met mijn persoonlijke KDE settings. En zo stapje voor stapje. Overstappen door de default boot te verplaatsen. Ik kan dan nog altijd terug. Ik kan ook nog steeds in de 13.1 / kijken in de daar bestaande bestanden (bijv. in /etc).

Geen haast. Stap voor stap. Op de forums de problemen volgen. Testen. Uiteindelijk wil ik ongestoord mijn bankzaken kunnen doen. Niet openSUSE Leap is het doel. Een goede en veilige werkomgeving is het doel.